image:
  repository: registry.gitlab.com/sia-insa-lyon/bdeinsalyon/va-checker:latest
  pullPolicy: Always

# Put all your environment variables here as long as they're not numbers or booleans
env:
  django_env: "prod"
  adhesion_url: "https://api-adhesion.bde-insa-lyon.fr"
  keycloak_url: "https://sso.asso-insa-lyon.fr"
  keycloak_realm: "asso-insa-lyon"

resources:
  django:
    requests:
      cpu: 300m
      memory: 500Mi
    limits:
      cpu: 500m
      memory: 1Gi
  nginx:
    requests:
      cpu: 300m
      memory: 200Mi
    limits:
      cpu: 500m
      memory: 500Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 5
  targetCPUUtilizationPercentage: 90

ingress:
  enabled: false
  host: null

service:
  type: NodePort

secret:
  mgApiKey: "mdrlol"
  djangoSecretKey: "v3rysecr3t"
  adhesion_client_id: "v3rysecr3t"
  adhesion_client_secret: "v3rysecr3t"

externalDatabase:
  enabled: false
  host:
  database:
  port:
  username:
  password:

postgresql:
  enabled: true
  postgresqlPassword: password
  postgresqlDatabase: django
  persistence:
    accessModes: [ReadWriteMany]
    size: 1Gi
  volumePermissions:
    enabled: true
backupPostgresql:
  enabled: false
  schedule: 0 1 * * *
  FILE_NAME: "va-checker"
  PGHOST: "postgres"
  secretEnableDatabase: true
  nameSecretDatabase: "va-checker-db-secret"
  nameKeyDatabase: "PGDATABASE"
  secretEnableUser: true
  nameSecretUser: "va-checker-db-secret"
  nameKeyUser: "PGUSER"
  secretEnablePassword: true
  nameSecretPassword: "va-checker-db-secret"
  nameKeyPassword: "PGPASSWORD"
  OS_PROJECT_NAME: ""
  OS_AUTH_URL: ""
  OS_USERNAME: ""
  OS_PASSWORD: ""
  OS_ENDPOINT: ""
  OS_BUCKET_NAME: ""
  image:
    registry: registry.gitlab.com/sia-insa-lyon/dev/postgres-backup-container
    tag: latest
